
local options = {
}

local function get_option(key)
   print("*** Get option is a stub (" .. key .. ")")
   return options[key]
end

local function set_option(key, value)
   print("*** Set option is a stub (" .. tostring(key) .. ", " .. tostring(value) .. ")")

   options[key] = value
   
   return value
end   


local function get_string_resource(resource_name)
   return resource_name
end

local function get_max_anisotropic_filter_level()
   return 0
end

local function generic_callback(value)
   print("*** Generic callback is a stub!")
   for i,j in pairs(value) do
      print(i, "->", j)
   end
   print("*** End of generic callback's data")
end

local function get_screen_size()
   return {
      width = 420,
      height = 240,
      width_cm = 300,
      height_cm = 400,
      xdpi = 80,
      ydpi = 100,
   }
end

local M = {
   get_string_resource = get_string_resource,
   get_max_anisotropic_filter_level = get_max_anisotropic_filter_level,
   get_option = get_option,
   set_option = set_option,
   generic_callback = generic_callback,
   get_screen_size = get_screen_size,
}

return M
