#version 300 es
precision mediump float;

in vec2 fuv;

uniform int id;
uniform vec4 color;
uniform sampler2D icon;
uniform float opacity;

uniform int feedback_rendering;

out vec4 frag_color;

void main() {    
  vec4 texvalue = texture(icon, fuv);
  if(feedback_rendering == 1) {
    frag_color = texvalue.a * vec4(float(id) / 255.0, 0.0, 0.0, 1.0);
  } else {
    frag_color = texvalue.a * vec4(color.r, color.g, color.b, opacity);
  }
}
