#version 300 es
precision mediump float;

in vec2 fuv;

uniform int id;
uniform vec4 color;
uniform sampler2D icon;
uniform float opacity;
uniform float movietime;

uniform int feedback_rendering;

out vec4 frag_color;

void main() {    
  if(feedback_rendering == 1) {
    frag_color = vec4(float(id) / 255.0, fuv.s, 0.0, 1.0);
  } else {
    if(fuv.s < movietime) {
      frag_color = vec4(1.0, 0.0, 0.0, opacity);
    } else {
      frag_color =  vec4(0.6, 0.0, 0.0, opacity);
    }
  }
}
