-- Debug script. Launch it with:
--   lua debug/exercise_rendering.lua
-- while in "scripts"
-- The LUA_PATH should be set as:
--   LUA_PATH=scene/?.lua;?.lua;debug/?.lua
--

vr_config = require "vr_config"
local oc = require "options_consts"
options_consts = oc

opengl = require "opengl" -- why global?
cardboardtheater = require "it.couchgames.lua.cardboardtheater"

-- Required for a theater environment creation
-- vr_config.set(oc.THEATER_TYPE, oc.THEATER_ENV)
-- vr_config.set(oc.THEATER_TYPE, oc.CARDBOARD_THEATER_ENV)
-- vr_config.set(oc.DIRECT_VIDEO_RENDERING, true)
-- vr_config.set(oc.VIEWER_TO_FLOOR_DISTANCE, 1)
-- vr_config.set(oc.VIEWER_TO_SCREEN_DISTANCE, 2)
-- vr_config.set(oc.LIGHT_MULTIPLIER, 1)
-- vr_config.set(oc.CONTROLS_PITCH, 0)
-- vr_config.set(oc.CONTROLS_YAW, 0)
-- vr_config.set(oc.POINTER_ALWAYS_ON, false)

-- -- Required for cubemap
-- vr_config.set(oc.THEATER_TYPE, oc.CUBEMAP_THEATER)
-- vr_config.set(oc.CUBEMAP_SCREEN_PARAMETERS_UNITY, oc.CUBEMAP_SCREEN_PARAMETERS_UNITY_M)
-- vr_config.set(oc.CUBEMAP_SCREEN_DISTANCE, 13)
-- vr_config.set(oc.CUBEMAP_SCREEN_DIAGONAL, 12)
-- vr_config.set(oc.CUBEMAP_SCREEN_LIFT, 15)
-- 
-- -- Required for panoramic
-- vr_config.set(oc.PANORAMIC_MODE_ALIGNMENT, true)
-- vr_config.set(oc.PANORAMIC_CONTROLS_PITCH, 1)
-- vr_config.set(oc.PANORAMIC_CONTROLS_YAW, 1)

vr_config.set(oc.SUBTITLES_QUAD_SIZE, 90)
vr_config.set(oc.SUBTITLES_QUAD_DISTANCE, 1)
vr_config.set(oc.POINTER_OPACITY, 80)
vr_config.set(oc.CONTROLS_TRIGGER_SIZE, 3)
vr_config.set(oc.ACTIVE_AREAS_OPACITY, 80)

local rendering = require "scene/theater/rendering"




