-- List of commonly used uniforms
-- (originarily saved in a "uniformprovider" table for the class
-- with the same name).
--
-- Created by Riccardo Di Meo
-- © Riccardo Di Meo 2015

return  {
      video                 = { content = "TEX:0:VIDEO", vtype = "int"},
      video_transform       = { content = "VAR:VIDEO_TRANSFORM", vtype = "mat4"},
      subtitle              = { content = "TEX:0:SUBTITLE", vtype = "int"},
      projection            = { content = "VAR:PROJECTION", vtype = "mat4"},
      modelview             = { content = "VAR:MODELVIEW",  vtype = "mat4"},
      model                 = { content = "VAR:MODEL", vtype = "mat4"},
      view                  = { content = "VAR:VIEW", vtype = "mat4"},
      controls_view         = { content = "VAR:CONTROLS_VIEW", vtype = "mat4"},
      eye                   = { content = "VAR:EYE", vtype = "int"},
      time                  = { content = "VAR:TIME", vtype = "int"},
      brightness            = { content = "VAR:SCREEN_BRIGHTNESS", vtype = "float"},
      contrast              = { content = "VAR:SCREEN_CONTRAST", vtype = "float"},
      movietime             = { content = "VAR:MOVIETIME", vtype = "float"},
      eyedisp               = { content = "VAR:EYETRANSFORM", vtype = "mat4"},
      id                    = { content = "VAR:ID", vtype = "int"},
      feedback_rendering    = { content = "VAR:FEEDBACK_RENDERING", vtype = "int"},
      -- currently unused. It's a misnomer: it's the time since the activation, really
      activation            = { content = "VAR:ACTIVATION", vtype = "float"},
}
