#version 300 es

uniform mat4 projection;
uniform vec4 lightpos;
uniform vec3 lightanimpar;
uniform mat4 view;
uniform int time;

in vec4 color;
out vec4 ocolor;

vec4 lightposmod() {
  float angle = 2.0 * 3.1415 * float(time) / lightanimpar[2];
  return lightpos + vec4(lightanimpar[0] * cos(angle), 0.0, lightanimpar[1] * sin(angle), 0.0);
}

void main() {	
  ocolor = color;

  gl_PointSize = 8.0;
  gl_Position = projection * view * lightposmod();
}
