#version 300 es

in vec3 pos;
in vec2 uv;

uniform mat4 projection;
uniform mat4 model;

out vec2 fuv;

void main() {
  fuv = uv;
  vec4 t = projection * model * vec4(pos, 1.0);
  gl_Position = t / t.w;
}
