#version 300 es
precision mediump float;

in float fuv;
out vec4 frag_color;

uniform mediump float activation;

void main() {
  float svalue = step(activation, fuv);
  vec4 background = svalue * vec4(0.0, 1.0, 1.0, 0.5);
  vec4 color = (1.0 - svalue) * vec4(1.0, 0.0, 0.0, 1.0);
  frag_color = color + background;
}
