#version 100

uniform mat4 video_transform;

vec2 apply_video_transform(vec2 sbs) {
  return (video_transform * vec4(sbs, 0.0, 1.0)).st;
}

vec2 sbsUV(vec2 sbs, int eye) {
  return apply_video_transform(vec2((sbs.s + float(eye)) * 0.5, sbs.t));
}

vec2 tbUV(vec2 sbs, int eye) {
  return apply_video_transform(vec2(sbs.s, (sbs.t + 1.0 - float(eye)) * 0.5));
}

vec2 monoUV(vec2 sbs) {
  return apply_video_transform(sbs);
}
