// This code should be loaded after a *_conversion.vert shader block

in vec3 pos;
in vec2 uv;

out vec2 tuv;
flat out vec4 cid;

uniform mat4 view;
uniform mat4 model;
uniform mat4 projection;
uniform int eye;
uniform int id;
		    
void main() {

  cid = vec4(float(id) / 255.0, 0.0, 0.0, 1.0);
  gl_PointSize = 5.0;
  tuv = getRightUV(vec2(1.0 - uv.s, uv.t), eye);
  // This dirty trick is used to prevent eye to be optimized out in 2D rendering
  tuv = tuv * abs(float(eye) - 0.5) * 2.0;
  gl_Position = projection * model * view * vec4(pos, 1.0);
}
