#version 300 es
precision mediump float;

in vec2 fvt;
out vec4 frag_color;

// Bunch of (possibly missing) material properties
uniform float Ns;
uniform float Ni;
uniform float d;
uniform int illum;
uniform vec3 Ka;
uniform vec3 Kd;
uniform vec3 Ks;
uniform vec3 Ke;
uniform bool smooth_enabled;
uniform bool has_map_Kd;
uniform sampler2D map_Kd;
uniform bool has_map_Bump;
uniform sampler2D map_Bump;

void main() {
  frag_color.rgb = texture(map_Kd, fvt).rgb;
  frag_color.a = 1.0;
  /*
  if(has_map_Kd) {
    frag_color.rgb = texture(map_Kd, fvt).rgb + vec3(0.3, 0.3, 0.3);
    frag_color.a = 1.0;
  } else {
    frag_color.rgb = Ka;
    frag_color.a = 1.0;    
  }
  */
}
